pipeline {
    agent any
    tools {
      jdk 'openjdk21'
      maven 'Default'
    }
    stages {
        stage('Build') {
            steps {
                sh 'mvn clean package -DskipTests=true'
            }
        }
    }
    post {
        always {
            archiveArtifacts artifacts: 'target/*.jar', allowEmptyArchive: true, onlyIfSuccessful: true
            publishGiteaAssets assets: 'target/*.jar', followSymlinks: false, onlyIfSuccessful: true
        }
    }
}